namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Pressure is an ability that makes the opponent use more PP when using moves against the Pokémon.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Pressure_(Ability)">Bulbapedia - Pressure</see>
/// </summary>
[Script(ScriptCategory.Ability, "pressure")]
public class Pressure : Script, IScriptModifyPPUsedForIncomingMove
{
    /// <inheritdoc />
    public void ModifyPPUsedForIncomingMove(IExecutingMove executingMove, ref byte ppUsed)
    {
        if (ppUsed == byte.MaxValue)
            return;
        ppUsed++;
    }
}